%define upstream_name   capitalization
%define upstream_version 0.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 8
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl module that allows no capitalization on method names
Source0:	https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/%{upstream_name}-%{upstream_version}.tar.bz2
Url:		https://metacpan.org/release/%{upstream_name}

BuildRequires:	perl-devel
BuildRequires:	perl(Devel::Symdump)

BuildArch:	noarch
Provides:	perl(capitalization)

%description
capitalization.pm allows you to use familiar style on method naming.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
rm -rf %{buildroot}/%{perl_vendorarch}

%files
%doc Changes 
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.30.0-8.mga9
+ Revision: 1802147
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-7.mga8
+ Revision: 1492979
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-6.mga7
+ Revision: 1265935
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.30.0-5.mga6
+ Revision: 1022832
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-4.mga6
+ Revision: 945089
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 748144
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-2.mga5
+ Revision: 687019
- Mageia 5 Mass Rebuild

* Fri Aug 01 2014 sander85 <sander85> 0.30.0-1.mga5
+ Revision: 659112
- Convert version and clean spec

* Fri Oct 18 2013 umeabot <umeabot> 0.03-13.mga4
+ Revision: 520977
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 jquelin <jquelin> 0.03-12.mga3
+ Revision: 388200
- add missing provides

* Sun Jan 13 2013 umeabot <umeabot> 0.03-11.mga3
+ Revision: 375406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 0.03-10.mga2
+ Revision: 154589
- providing perl(capitalization)

* Sat Jun 11 2011 spuhler <spuhler> 0.03-9.mga2
+ Revision: 104031
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.03-8.mga1
+ Revision: 31541
- mageia rebuild
- imported package perl-capitalization


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.03-8mdv2010.0
+ Revision: 430267
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-7mdv2009.0
+ Revision: 255476
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.03-5mdv2008.1
+ Revision: 136666
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-5mdv2008.0
+ Revision: 85923
- rebuild

  + Michael Scherer <misc@mandriva.org>
    - rebuild


* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 0.03-3mdk
- Do not ship empty dir

* Sat Oct 01 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.03-2mdk
- BuildRequires fix

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 0.03-1mdk
- First mandriva package

